%define	major	0
%define girapi	1.0
%define	libname	%mklibname umockdev %{major}
%define girname	%mklibname umockdev-gir %{girapi}
%define	devname	%mklibname umockdev -d

Name:		umockdev
Version:	0.15.2
Release:	%mkrel 1
Summary:	Mock hardware devices

Group:		Development/C
License:	LGPLv2+
URL:		https://launchpad.net/umockdev
Source0:	https://github.com/martinpitt/umockdev/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	vala
# Required for tests
BuildRequires:	gphoto2
BuildRequires:	python3
BuildRequires:	meson

%description
With this program and libraries you can easily create mock udev objects.
This is useful for writing tests for software which talks to
hardware devices.

%package -n	%{libname}
Summary:	Libraries for umockdev
Group:		System/Libraries

%description -n	%{libname}
Libraries for umockdev.

%package -n	%{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries

Conflicts:	%{name} < 0.11.3-3

%description -n	%{girname}
GObject Introspection interface library for %{name}.

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains the libraries to develop
using %{name}.

%prep
%setup -q

%build
%meson -Dgtk_doc=true

%meson_build

%install
%meson_install

rm -rf %{buildroot}%{_datadir}/doc/umockdev

%check
# Disabled for now, as the Xorg tests don't pass
# https://github.com/martinpitt/umockdev/issues/47
# make check

%files
%doc README.rst
%{_bindir}/umockdev-*

%files -n %{libname}
%{_libdir}/libumockdev.so.%{major}{,.*}
%{_libdir}/libumockdev-preload.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/UMockdev-%{girapi}.typelib

%files -n %{devname}
%doc docs/script-format.txt docs/examples/battery.c docs/examples/battery.py
%{_libdir}/libumockdev.so
%{_libdir}/libumockdev-preload.so
%{_libdir}/pkgconfig/umockdev-1.0.pc
%{_datadir}/gir-1.0/UMockdev-%{girapi}.gir
%{_includedir}/umockdev-1.0
%{_datadir}/gtk-doc/html/umockdev/
%{_datadir}/vala/vapi/umockdev-1.0.vapi


%changelog
* Sat Dec 26 2020 daviddavid <daviddavid> 0.15.2-1.mga8
+ Revision: 1663940
- new version: 0.15.2

* Thu Nov 19 2020 daviddavid <daviddavid> 0.15.1-1.mga8
+ Revision: 1647580
- new version: 0.15.1

* Thu Feb 20 2020 umeabot <umeabot> 0.14.1-2.mga8
+ Revision: 1547384
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 1.mga8-current
+ Revision: 1508874
- new version: 0.14.1

* Sun Feb 09 2020 daviddavid <daviddavid> 0.14-1.mga8
+ Revision: 1488099
- new version: 0.14
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 02 2019 daviddavid <daviddavid> 0.13.2-1.mga8
+ Revision: 1436417
- new version: 0.13.2

* Fri Feb 08 2019 daviddavid <daviddavid> 0.12.1-1.mga7
+ Revision: 1364146
- new version: 0.12.1

* Thu Nov 29 2018 daviddavid <daviddavid> 0.11.3-3.mga7
+ Revision: 1336645
- split out in a separate sub-pkg the GObject Introspection interface library

* Sun Sep 23 2018 umeabot <umeabot> 0.11.3-2.mga7
+ Revision: 1301514
- Mageia 7 Mass Rebuild

* Sun May 06 2018 daviddavid <daviddavid> 0.11.3-1.mga7
+ Revision: 1226637
- new version: 0.11.3
- update Source URL

* Tue Aug 22 2017 luigiwalser <luigiwalser> 0.9.2-1.mga7
+ Revision: 1142801
- adapted from OpenMandriva (by ovitters)

